#
# spec file for package python-mechanoid
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-mechanoid
Version:        0.6.9
Release:        8.2
License:        GPL-2.0+
Summary:        Python Programmatic Web Browser
Url:            http://python.org/pypi/mechanoid
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/m/mechanoid/mechanoid-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
mechanoid is a programmatic browser written in Python. It is intended as
an engine which will do things like log in as SourceForge project admin
and do a Quick Release or send and receive Yahoo mail.  mechanoid is a
fork of John J. Lee's mechanize.

%prep
%setup -q -n mechanoid-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#python test.py

%files
%defattr(-,root,root,-)
%doc COPYING README examples
%{python_sitelib}/*

%changelog
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
